%global __requires_exclude %{?__requires_exclude:__requires_exclude|}typelib\\(Handy\\) = 0\\.0

%global webkit_api	4.1

%define foliate_js_master cc2882ff396d27ca4133af2e8f2978f19c21846e

Name:           foliate
Version:        3.3.0
Release:        %mkrel 1
Summary:        A simple and modern GTK eBook reader
Group:          Office/Utilities
License:        GPLv3
URL:            https://johnfactotum.github.io/foliate/
Source0:        https://github.com/johnfactotum/foliate/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/johnfactotum/foliate-js/archive/%{foliate_js_master}.tar.gz
Patch0:         foliate-fix-export-of-incorrect-dep-Adw.patch
BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  appstream
BuildRequires:  gettext
BuildRequires:  pkgconfig(gjs-1.0) >= 1.76
BuildRequires:  pkgconfig(webkitgtk-6.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
Requires:       gjs >= 1.76.0

Requires:       python3
# Recommended for Text-to-Speech
Recommends:     espeak

Conflicts: foliate < 3.0.0-1

%description
A simple and modern GTK eBook viewer, built with GJS and Epub.js.

%prep
%autosetup -p1

pushd src
tar xfvz %{S:1}
rm -rf foliate-js
mv foliate-js-%{foliate_js_master} foliate-js
popd

%build
%meson
%meson_build

%install
%meson_install

%find_lang com.github.johnfactotum.Foliate

%files -f com.github.johnfactotum.Foliate.lang
%doc README.md
%license COPYING
%{_bindir}/foliate
%{_datadir}/applications/com.github.johnfactotum.Foliate.desktop
%{_datadir}/com.github.johnfactotum.Foliate/
%{_datadir}/glib-2.0/schemas/com.github.johnfactotum.Foliate.gschema.xml
%{_iconsdir}/hicolor/*/apps/com.github.johnfactotum.Foliate*.svg
%{_metainfodir}/com.github.johnfactotum.Foliate.metainfo.xml


%changelog
* Mon May 05 2025 kekepower <kekepower> 3.3.0-1.mga10
+ Revision: 2181127
- Update to version 3.3.0

* Fri Dec 27 2024 daviddavid <daviddavid> 3.2.1-2.mga10
+ Revision: 2130709
- fix Adw typelib dependency not exported correctly

* Tue Dec 24 2024 daviddavid <daviddavid> 3.2.1-1.mga10
+ Revision: 2129851
- new version: 3.2.1
+ kekepower <kekepower>
- Update to version 3.1.1

* Fri Nov 11 2022 ghibo <ghibo> 2.6.4-4.mga9
+ Revision: 1905540
- Bump release after webkit2 fixing
+ wally <wally>
- fix webkit2 requires

* Sun Oct 16 2022 wally <wally> 2.6.4-3.mga9
+ Revision: 1897084
- switch to WebKit2 api 4.1
- filter out older libhandy requires
- make pkg noarch

* Sat Apr 02 2022 umeabot <umeabot> 2.6.4-2.mga9
+ Revision: 1840550
- Mageia 9 Mass Rebuild

* Wed Jan 19 2022 kekepower <kekepower> 2.6.4-1.mga9
+ Revision: 1769071
- Update to version 2.6.4

* Thu Apr 01 2021 kekepower <kekepower> 2.6.3-1.mga9
+ Revision: 1712511
- Update to version 2.6.3

* Tue Mar 30 2021 kekepower <kekepower> 2.6.2-1.mga9
+ Revision: 1711858
- Update to version 2.6.2

* Wed Mar 24 2021 kekepower <kekepower> 2.6.1-1.mga9
+ Revision: 1708848
- Update to version 2.6.1

* Wed Mar 24 2021 kekepower <kekepower> 2.6.0-1.mga9
+ Revision: 1708546
- Update to version 2.6.0

* Fri Oct 16 2020 kekepower <kekepower> 2.5.0-1.mga8
+ Revision: 1636351
- Update to version 2.5.0

* Wed Jul 08 2020 kekepower <kekepower> 2.4.2-1.mga8
+ Revision: 1602902
- Update to version 2.4.2

* Mon Jul 06 2020 kekepower <kekepower> 2.4.1-1.mga8
+ Revision: 1602498
- Update to version 2.4.1

* Fri Jul 03 2020 kekepower <kekepower> 2.4.0-1.mga8
+ Revision: 1601786
- Update to version 2.4.0

* Thu Jun 18 2020 kekepower <kekepower> 2.3.0-1.mga8
+ Revision: 1596521
- Update to version 2.3.0

* Wed Jun 03 2020 kekepower <kekepower> 2.2.0-1.mga8
+ Revision: 1590122
- Update to version 2.2.0

* Wed Apr 08 2020 kekepower <kekepower> 2.1.0-1.mga8
+ Revision: 1565608
- Update to version 2.1.0

* Mon Apr 06 2020 kekepower <kekepower> 2.0.0-1.mga8
+ Revision: 1565023
- Update to version 2.0.0

* Fri Mar 27 2020 umeabot <umeabot> 1.5.3-2.mga8
+ Revision: 1561019
- Mageia 8 Mass Rebuild

* Fri Jul 26 2019 kekepower <kekepower> 1.5.3-1.mga8
+ Revision: 1424403
- Update to version 1.5.3

* Fri Jul 19 2019 kekepower <kekepower> 1.5.2-1.mga8
+ Revision: 1422696
- Update to version 1.5.2

* Wed Jul 17 2019 kekepower <kekepower> 1.5.1-1.mga8
+ Revision: 1422267
- Update to version 1.5.1

* Sun Jul 14 2019 kekepower <kekepower> 1.5.0-1.mga8
+ Revision: 1421425
- Update to version 1.5.0
- Supports Text-to-Speech with espeak

* Mon Jul 08 2019 kekepower <kekepower> 1.4.0-1.mga8
+ Revision: 1419492
- Update to version 1.4.0

* Sat Jun 29 2019 kekepower <kekepower> 1.3.1-1.mga8
+ Revision: 1416140
- imported package foliate

